<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIGL: src/standard/containers/tiglContainersEdge.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIGL
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_512e97a87e29490d503e7e4403f25482.html">standard</a></li><li class="navelem"><a class="el" href="dir_5c4eeb3f12cf4bfba980364a449079c1.html">containers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tiglContainersEdge.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="tiglContainersEdge_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifndef TIGLEDGE_HPP_</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#define TIGLEDGE_HPP_</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &quot;types.h&quot;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; <span class="keyword">template</span> &lt;<span class="keyword">typename</span> <span class="keywordtype">id</span>Type = u<span class="keywordtype">int</span>32&gt;</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classEdgeBase.html">   30</a></span>&#160;<span class="keyword">class </span><a class="code" href="classEdgeBase.html">TIGLContainersEdgeBase</a> {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keyword">typedef</span> idType ID_TYPE;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keyword">typedef</span> uint32 DATA_TYPE;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="classEdgeBase.html">TIGLContainersEdgeBase</a>(idType &amp; eNode) {<a class="code" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">node</a> = eNode;}</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    ~<a class="code" href="classEdgeBase.html">TIGLContainersEdgeBase</a>() {}</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">   41</a></span>&#160;    idType <a class="code" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">node</a>;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classEdgeBase.html#afddfbce41085e49c653ba49fef0a5287">   45</a></span>&#160;    <span class="keyword">inline</span> idType <a class="code" href="classEdgeBase.html#afddfbce41085e49c653ba49fef0a5287">getNbr</a>(){<span class="keywordflow">return</span> <a class="code" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">node</a>;}</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classEdgeBase.html#a50b88e0b1eea47f381270de3e5f5cc38">   48</a></span>&#160;    <span class="keyword">inline</span> idType <a class="code" href="classEdgeBase.html#a50b88e0b1eea47f381270de3e5f5cc38">setNbr</a>(){<span class="keywordflow">return</span> <a class="code" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">node</a>;}</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classEdgeBase.html#a2e7f7fecf9dfbd63f6ef62b77c52fd4c">   51</a></span>&#160;    <span class="keyword">inline</span> <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="classEdgeBase.html#a2e7f7fecf9dfbd63f6ef62b77c52fd4c">hasVal</a>(){<span class="keywordflow">return</span> <span class="keyword">false</span>;}</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keyword">inline</span> DATA_TYPE getData(){<span class="keywordflow">return</span> 1;}</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classEdgeBase.html#ae503269e9d7ddb3b225500cd3741b67e">   57</a></span>&#160;    <span class="keywordtype">bool</span> operator&lt;(TIGLContainersEdgeBase&lt;idType&gt; &amp; rhs){</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        idType rhs_nbr = rhs.getNbr();</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <span class="keywordflow">if</span> (<a class="code" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">node</a> &lt; rhs_nbr)</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    }</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;};</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; <span class="keyword">template</span> &lt;<span class="keyword">typename</span> <span class="keywordtype">id</span>Type = <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span>&gt;</div>
<div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classEdge2Sided.html">   76</a></span>&#160;<span class="keyword">class </span><a class="code" href="classEdge2Sided.html">TIGLContainersEdge2Sided</a>:</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        <span class="keyword">public</span> <a class="code" href="classEdgeBase.html">TIGLContainersEdgeBase</a>&lt;idType&gt;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;{</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keyword">typedef</span> idType ID_TYPE;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <a class="code" href="classEdge2Sided.html">TIGLContainersEdge2Sided</a>(idType eSrc, idType eTarget) {<a class="code" href="classEdge2Sided.html#a7305434eb47acbdc121a455d083ecb99">src</a> = eSrc; this-&gt;<a class="code" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">node</a> = eTarget;}</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    ~<a class="code" href="classEdge2Sided.html">TIGLContainersEdge2Sided</a>() {}</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="classEdge2Sided.html#a7305434eb47acbdc121a455d083ecb99">   88</a></span>&#160;    idType <a class="code" href="classEdge2Sided.html#a7305434eb47acbdc121a455d083ecb99">src</a>;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="classEdge2Sided.html#a8b91eb052d4cce7df295e9ea599b54ae">   92</a></span>&#160;    <span class="keyword">inline</span> idType <a class="code" href="classEdge2Sided.html#a8b91eb052d4cce7df295e9ea599b54ae">getSrc</a>(){<span class="keywordflow">return</span> <a class="code" href="classEdge2Sided.html#a7305434eb47acbdc121a455d083ecb99">src</a>;}</div>
<div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="classEdge2Sided.html#a468d9e0f1ae4095252e08da15e63836c">   94</a></span>&#160;    <span class="keyword">inline</span> idType <a class="code" href="classEdge2Sided.html#a468d9e0f1ae4095252e08da15e63836c">getTarget</a>(){<span class="keywordflow">return</span> this-&gt;<a class="code" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">node</a>;}</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classEdge2Sided.html#a8208f698b0018a5cf9b279c44d91627e">   97</a></span>&#160;    <span class="keywordtype">bool</span> operator&lt;(TIGLContainersEdge2Sided&lt;idType&gt; &amp; rhs){</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        idType rhs_src = rhs.get_src();</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        <span class="keywordflow">if</span> (<a class="code" href="classEdge2Sided.html#a7305434eb47acbdc121a455d083ecb99">src</a> &lt; rhs_src)</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code" href="classEdge2Sided.html#a7305434eb47acbdc121a455d083ecb99">src</a> == rhs_src)</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;            <span class="keywordflow">return</span> this-&gt;<a class="code" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">node</a> &lt; rhs.get_target();</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    }</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <span class="keywordtype">bool</span> operator==(<a class="code" href="classEdge2Sided.html">TIGLContainersEdge2Sided&lt;idType&gt;</a> &amp; rhs){</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <span class="keywordflow">return</span> (<a class="code" href="classEdge2Sided.html#a7305434eb47acbdc121a455d083ecb99">src</a> == rhs.get_src() &amp;&amp; this-&gt;<a class="code" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">node</a> == rhs.get_target());</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    }</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;};</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="comment"> * @class TIGLContainersEdgeW:</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="comment"> * @brief: Weighted edge class</span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="comment"> * this is derived from TIGLContainersEdgeBase and had the extra parameters of &quot;edgeData&quot;</span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="comment"> * that carries information about the edge weight</span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="comment">  */</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> <span class="keywordtype">id</span>Type = <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span>, <span class="keyword">typename</span> dataType = <span class="keywordtype">double</span>&gt;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="keyword">class </span>TIGLContainersEdgeW:</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keyword">public</span> <a class="code" href="classEdgeBase.html">TIGLContainersEdgeBase</a>&lt;idType&gt; {</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="comment">// constructor/destructor</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="keyword">typedef</span> idType          ID_TYPE;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="keyword">typedef</span> dataType        DATA_TYPE;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    TIGLContainersEdgeW(ID_TYPE eNode):</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        <a class="code" href="classEdgeBase.html">TIGLContainersEdgeBase</a>&lt;idType&gt;(eNode){}</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    TIGLContainersEdgeW(ID_TYPE eNode, DATA_TYPE newVal):</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        <a class="code" href="classEdgeBase.html">TIGLContainersEdgeBase</a>&lt;idType&gt;(eNode){edgeData = newVal;}</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    ~TIGLContainersEdgeW() {}</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    dataType    edgeData;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <span class="keyword">inline</span> dataType getData() {</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        <span class="keywordflow">return</span> edgeData;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    }</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <span class="keyword">inline</span> <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="classEdgeBase.html#a2e7f7fecf9dfbd63f6ef62b77c52fd4c">hasVal</a>(){<span class="keywordflow">return</span> <span class="keyword">true</span>;}</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;};</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="comment"> * detailed edge class</span></div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="comment"> * this is derived from TIGLContainersEdgeBase and had the extra parameters of edgeData and algData alond with their methods</span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> <span class="keywordtype">id</span>Type = <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span>, <span class="keyword">typename</span> dataType = <span class="keywordtype">double</span>, <span class="keyword">typename</span> algDataType = <span class="keywordtype">double</span>&gt;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="keyword">class </span>TIGLContainersComputeEdge:</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;        <span class="keyword">public</span> TIGLContainersEdgeW&lt;idType, dataType&gt; {</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <span class="keyword">typedef</span> idType          ID_TYPE;</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    <span class="keyword">typedef</span> dataType        DATA_TYPE;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    <span class="keyword">typedef</span> algDataType     ALG_DATA_TYPE;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    <span class="comment">/* constructor/destructor*/</span></div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    TIGLContainersComputeEdge(ID_TYPE eNode):</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;        TIGLContainersEdgeW&lt;idType&gt;(eNode){}</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;    TIGLContainersComputeEdge(ID_TYPE eNode, DATA_TYPE newVal):</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        TIGLContainersEdgeW&lt;idType&gt;(eNode, newVal){}</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    ~TIGLContainersComputeEdge() {}</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    algDataType algData;</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    <span class="keyword">inline</span> algDataType getAlgData() {</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;        <span class="keywordflow">return</span> algData;</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    }</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <span class="keywordtype">bool</span> compute(<span class="keywordtype">void</span> * pIn = 0, <span class="keywordtype">void</span> * pOut = 0){algData = *((algDataType*)pIn); <span class="keywordflow">return</span> <span class="keyword">true</span>;}</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;};</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* EDGE_HPP_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="classEdge2Sided_html"><div class="ttname"><a href="classEdge2Sided.html">TIGLContainersEdge2Sided</a></div><div class="ttdoc">core edge class with information about the two sides </div><div class="ttdef"><b>Definition:</b> tiglContainersEdge.hpp:76</div></div>
<div class="ttc" id="classEdgeBase_html_ab72af162dc3603efcf572ff6c6cb042d"><div class="ttname"><a href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">TIGLContainersEdgeBase::node</a></div><div class="ttdeci">idType node</div><div class="ttdoc">@ the id of the target/src vertex </div><div class="ttdef"><b>Definition:</b> tiglContainersEdge.hpp:41</div></div>
<div class="ttc" id="classEdgeBase_html_afddfbce41085e49c653ba49fef0a5287"><div class="ttname"><a href="classEdgeBase.html#afddfbce41085e49c653ba49fef0a5287">TIGLContainersEdgeBase::getNbr</a></div><div class="ttdeci">idType getNbr()</div><div class="ttdoc">returns the id of the neighbor node </div><div class="ttdef"><b>Definition:</b> tiglContainersEdge.hpp:45</div></div>
<div class="ttc" id="classEdgeBase_html"><div class="ttname"><a href="classEdgeBase.html">TIGLContainersEdgeBase</a></div><div class="ttdoc">core edge class </div><div class="ttdef"><b>Definition:</b> tiglContainersEdge.hpp:30</div></div>
<div class="ttc" id="classEdge2Sided_html_a8b91eb052d4cce7df295e9ea599b54ae"><div class="ttname"><a href="classEdge2Sided.html#a8b91eb052d4cce7df295e9ea599b54ae">TIGLContainersEdge2Sided::getSrc</a></div><div class="ttdeci">idType getSrc()</div><div class="ttdoc">returns the id of the src vertex </div><div class="ttdef"><b>Definition:</b> tiglContainersEdge.hpp:92</div></div>
<div class="ttc" id="classEdgeBase_html_a50b88e0b1eea47f381270de3e5f5cc38"><div class="ttname"><a href="classEdgeBase.html#a50b88e0b1eea47f381270de3e5f5cc38">TIGLContainersEdgeBase::setNbr</a></div><div class="ttdeci">idType setNbr()</div><div class="ttdoc">change the id of the neighbor node </div><div class="ttdef"><b>Definition:</b> tiglContainersEdge.hpp:48</div></div>
<div class="ttc" id="classEdge2Sided_html_a468d9e0f1ae4095252e08da15e63836c"><div class="ttname"><a href="classEdge2Sided.html#a468d9e0f1ae4095252e08da15e63836c">TIGLContainersEdge2Sided::getTarget</a></div><div class="ttdeci">idType getTarget()</div><div class="ttdoc">returns the id of the target vertex </div><div class="ttdef"><b>Definition:</b> tiglContainersEdge.hpp:94</div></div>
<div class="ttc" id="classEdgeBase_html_a2e7f7fecf9dfbd63f6ef62b77c52fd4c"><div class="ttname"><a href="classEdgeBase.html#a2e7f7fecf9dfbd63f6ef62b77c52fd4c">TIGLContainersEdgeBase::hasVal</a></div><div class="ttdeci">static bool hasVal()</div><div class="ttdoc">check if the edge is weighted </div><div class="ttdef"><b>Definition:</b> tiglContainersEdge.hpp:51</div></div>
<div class="ttc" id="classEdge2Sided_html_a7305434eb47acbdc121a455d083ecb99"><div class="ttname"><a href="classEdge2Sided.html#a7305434eb47acbdc121a455d083ecb99">TIGLContainersEdge2Sided::src</a></div><div class="ttdeci">idType src</div><div class="ttdef"><b>Definition:</b> tiglContainersEdge.hpp:88</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 14 2014 14:29:26 for TIGL by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
